Bug 737375 - python3-gobject fails to import Gtk
Summary: python3-gobject fails to import Gtk
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject2
Version: 15
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 17:13 UTC by Alec Leamas
Modified: 2012-08-07 19:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:16:21 UTC


Attachments (Terms of Use)

Description Alec Leamas 2011-09-11 17:13:20 UTC
Description of problem:

This is really against python3-gobject which is missing in web form list (yet another bug?)

Simple python3 test snippet fails when importing GTk

Version-Release number of selected component (if applicable):
python3-gobject-2.28.6-1.fc15.i686

How reproducible:

Always
Steps to Reproduce:
[mk@too-ticki src]$ python3
Python 3.2 (r32:88445, Feb 21 2011, 21:12:33) 
[GCC 4.6.0 20110212 (Red Hat 4.6.0-0.7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from gi.repository import Gtk

Actual results:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.2/site-packages/gi/importer.py", line 76, in load_module
    dynamic_module._load()
  File "/usr/lib/python3.2/site-packages/gi/module.py", line 251, in _load
    overrides_modules = __import__('gi.overrides', fromlist=[self._namespace])
  File "/usr/lib/python3.2/site-packages/gi/overrides/Gtk.py", line 400, in <module>
    class MessageDialog(Gtk.MessageDialog, Dialog):
  File "/usr/lib/python3.2/site-packages/gi/overrides/Gtk.py", line 404, in MessageDialog
    type=Gtk.MessageType.INFO,
  File "/usr/lib/python3.2/site-packages/gi/module.py", line 127, in __getattr__
    ascii_upper_trans = string.maketrans(
AttributeError: 'module' object has no attribute 'maketrans'
>>> 

 
Expected results:

Nothing :)

Additional info:
Simple fix described in http://stackoverflow.com/questions/6628306/attributeerror-module-object-has-no-attribute-maketrans

Comment 1 Alec Leamas 2011-09-11 17:26:10 UTC
Seems to be introduced by an upstream fix. See https://bugzilla.gnome.org/show_bug.cgi?id=649165

Comment 3 Dave Malcolm 2011-09-12 18:22:45 UTC
Thanks for reporting this bug.

"python3-gobject" is built as a sub-package of the pygobject2 src.rpm; reassigning the component accordingly.

Comment 4 Darren Hart 2011-11-19 05:53:36 UTC
This bug still appears in current Fedora 15, and still breaks the very first step of the python3 gtk3 tutorial. The fix appears to be well understood (it was a 3 character fix for me, slightly more complex for the general case). Can this fix be pulled in and the package refreshed?

Is there anything else we can do as users to help move this along?

Comment 5 Fedora End Of Life 2012-08-07 19:16:24 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.